// 名前空間
var CHAT_DB = {};


//ロカールDBからルーム一覧情報を取得
CHAT_DB.getRoomList = function(roomType) {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getRoomList(roomType));
    }
};

//ロカールDBからログインしたユーザのデータを取得する。
CHAT_DB.getMyInfo = function(input) {
    var result = JSON.parse(android.getMyInfo());
    CHAT.globalLoginParameter.shopMemberId =  result.shopMemberId;
    console.log(CHAT.globalLoginParameter.shopMemberId);
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return result;
    }
};

CHAT_DB.getMessages = function(roomId) {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getMessageList(roomId));
    }
};

CHAT_DB.getFavoriteUsers = function() {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getFavoriteUsers());
    }
};

CHAT_DB.getFavoriteGroups = function() {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getFavoriteGroups());
    }
};

CHAT_DB.getMyGroupUsers = function() {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getMyGroupUsers());
    }
};

<<<<<<< HEAD
=======
CHAT_DB.getGroupInfo = function(groupId) {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getGroupInfo(groupId));
    }
};

CHAT_DB.getNameCardData = function(shopMemberId) {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getNameCardData(shopMemberId));
    }
};
>>>>>>> origin/develop_createRoom_UI
CHAT_DB.getArchiveList = function() {
	if (CHAT_UTIL.isIOS()) {
		// String形式をJsonに変更してReturn
		webkit.messageHandlers.getArchiveList.postMessage();
		return JSON.parse(iosArchiveList);
	} else if (CHAT_UTIL.isAndroid()) {
 		//TODO Android処理追加必要
	}
};
var iosArchiveList;
CHAT_DB.getIosArchiveList = function(archiveList) {
	iosArchiveList = archiveList;
};

CHAT_DB.updateArchiveList = function() {
	if (CHAT_UTIL.isIOS()) {
		webkit.messageHandlers.updateArchiveList.postMessage();
	} else if (CHAT_UTIL.isAndroid()) {
		//TODO Android処理追加必要
	}
};

CHAT_DB.getArchiveDetail = function(archiveId) {
	if (CHAT_UTIL.isIOS()) {
		// String形式をJsonに変更してReturn
		webkit.messageHandlers.getArchiveList.postMessage({archiveId});
		return JSON.parse(iosArchiveDetail);
	} else if (CHAT_UTIL.isAndroid()) {
 		//TODO Android処理追加必要
	}
};
var iosArchiveDetail;
CHAT_DB.getIosArchiveDetail = function(archive) {
	iosArchiveDetail = archive;
};

CHAT_DB.updateArchiveDetail = function(archiveId) {
	if (CHAT_UTIL.isIOS()) {
		webkit.messageHandlers.updateArchiveDetail.postMessage({archiveId});
	} else if (CHAT_UTIL.isAndroid()) {
		//TODO Android処理追加必要
	}
};

CHAT_DB.getChatRoomInfo = function(roomId) {
	if (CHAT_UTIL.isIOS()) {
		// String形式をJsonに変更してReturn
		webkit.messageHandlers.getChatRoomInfo.postMessage({roomId});
		return JSON.parse(iosRoomInfo);
	} else if (CHAT_UTIL.isAndroid()) {
 		//TODO Android処理追加必要
	}
}
var iosRoomInfo;
CHAT_DB.getIosRoomInfo = function(roomInfo) {
	iosRoomInfo = roomInfo;
};

CHAT_DB.updateChatRoomInfo = function(roomId) {
	if (CHAT_UTIL.isIOS()) {
		webkit.messageHandlers.updateChatRoomInfo.postMessage({roomId});
	} else if (CHAT_UTIL.isAndroid()) {
		//TODO Android処理追加必要
	}
};
<<<<<<< HEAD

=======
>>>>>>> origin/develop_createRoom_UI
